# Method: sellers.orders.lines.list

- [HTTP request](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders.lines/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders.lines/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders.lines/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders.lines/list#body.request_body)
- [Response body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders.lines/list#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders.lines/list#body.ListLinesResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders.lines/list#body.aspect)
- [Examples](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders.lines/list#examples)

Lists lines for an order.

- For example GET /v1/selles/111/orders/123/lines
- Returns a list of lines and a token to retrieve the next page if successful.
- Returns error code `PERMISSION_DENIED` if the user does not have access to the seller or seller id does not exist.
- Returns error code `INVALID_ARGUMENT` if sellers provide an invalid page size or page token.
- Returns error code `NOT_FOUND` if the order does not exist.

### HTTP request

`GET https://dv360outofhomeseller.googleapis.com/v1/{parent=sellers/*/orders/*}/lines`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource name. Format: sellers/{seller}/orders/{order} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of items to return. The service may return fewer than this value. Max allowed number of lines is 1000. If unspecified, at most 1000 lines will be returned. |
| `pageToken` | `string` The nextPageToken value returned from a previous List request, if any. |
| `filter` | `string` The list filter. Currently supports external ID and state filtering, with the syntax: "externalId = \[EXTERNAL_ID\]" and "state = \[STATE\]". The logical operators AND and OR can be used to chain filters. |
| `orderBy` | `string` The order by string used to specify the sort order of the results. Currently supports ordering by `https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders.lines#Line.FIELDS.update_time`, provide "updateTime" to get results sorted by updateTime in ascending order, or "updateTime desc" for descending order. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "lines": [ { object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders.lines#Line`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `lines[]` | ``object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders.lines#Line`)`` The list of lines. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in the `https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders.lines/list#body.QUERY_PARAMETERS.page_token` field in the subsequent call to `lines.list` method to retrieve the next page of results. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclickbidmanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).